Bug 984870 - [abrt] samba-winbind-4.0.7-1.fc19: dump_core: Process /usr/sbin/winbindd was killed by signal 6 (SIGABRT)
[abrt] samba-winbind-4.0.7-1.fc19: dump_core: Process /usr/sbin/winbindd was ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Bokovoy
Fedora Extras Quality Assurance
abrt_hash:417cbecd0f63150e4b4626afbe8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 04:46 EDT by Christian K.
Modified: 2015-02-18 09:00 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:00:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.62 KB, text/plain)
2013-07-16 04:46 EDT, Christian K.
no flags Details
File: cgroup (160 bytes, text/plain)
2013-07-16 04:46 EDT, Christian K.
no flags Details
File: core_backtrace (218 bytes, text/plain)
2013-07-16 04:46 EDT, Christian K.
no flags Details
File: dso_list (3.29 KB, text/plain)
2013-07-16 04:46 EDT, Christian K.
no flags Details
File: environ (205 bytes, text/plain)
2013-07-16 04:46 EDT, Christian K.
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-16 04:46 EDT, Christian K.
no flags Details
File: maps (46.45 KB, text/plain)
2013-07-16 04:46 EDT, Christian K.
no flags Details
File: open_fds (812 bytes, text/plain)
2013-07-16 04:46 EDT, Christian K.
no flags Details
File: proc_pid_status (897 bytes, text/plain)
2013-07-16 04:46 EDT, Christian K.
no flags Details
File: var_log_messages (5.77 KB, text/plain)
2013-07-16 04:47 EDT, Christian K.
no flags Details
smd.conf (12.07 KB, text/plain)
2013-07-16 08:20 EDT, Christian K.
no flags Details

  None (edit)
Description Christian K. 2013-07-16 04:46:09 EDT
Version-Release number of selected component:
samba-winbind-4.0.7-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/sbin/winbindd
crash_function: dump_core
executable:     /usr/sbin/winbindd
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 dump_core at ../source3/lib/dumpcore.c:336
 #3 smb_panic_s3 at ../source3/lib/util.c:833
 #4 smb_panic at ../lib/util/fault.c:159
 #5 pdb_get_methods at ../source3/passdb/pdb_interface.c:225
 #6 pdb_get_seq_num at ../source3/passdb/pdb_interface.c:1201
 #7 query_dom_info_8 at ../source3/rpc_server/samr/srv_samr_nt.c:3452
 #8 _samr_QueryDomainInfo at ../source3/rpc_server/samr/srv_samr_nt.c:3660
 #9 api_samr_QueryDomainInfo at default/librpc/gen_ndr/srv_samr.c:680
 #10 rpcint_dispatch at ../source3/rpc_server/rpc_ncacn_np.c:133
 #11 rpcint_bh_raw_call_send at ../source3/rpc_server/rpc_ncacn_np.c:220

Potential duplicate: bug 893121
Comment 1 Christian K. 2013-07-16 04:46:16 EDT
Created attachment 774098 [details]
File: backtrace
Comment 2 Christian K. 2013-07-16 04:46:20 EDT
Created attachment 774099 [details]
File: cgroup
Comment 3 Christian K. 2013-07-16 04:46:27 EDT
Created attachment 774100 [details]
File: core_backtrace
Comment 4 Christian K. 2013-07-16 04:46:33 EDT
Created attachment 774103 [details]
File: dso_list
Comment 5 Christian K. 2013-07-16 04:46:38 EDT
Created attachment 774105 [details]
File: environ
Comment 6 Christian K. 2013-07-16 04:46:42 EDT
Created attachment 774107 [details]
File: limits
Comment 7 Christian K. 2013-07-16 04:46:48 EDT
Created attachment 774110 [details]
File: maps
Comment 8 Christian K. 2013-07-16 04:46:53 EDT
Created attachment 774114 [details]
File: open_fds
Comment 9 Christian K. 2013-07-16 04:46:57 EDT
Created attachment 774116 [details]
File: proc_pid_status
Comment 10 Christian K. 2013-07-16 04:47:02 EDT
Created attachment 774117 [details]
File: var_log_messages
Comment 11 Andreas Schneider 2013-07-16 07:56:45 EDT
Christian, could you please add your smb.conf to the bug report?
Comment 12 Christian K. 2013-07-16 08:20:46 EDT
Created attachment 774184 [details]
smd.conf

Sorry but the file has been modified afterwards, "winbind use default domain" and "security" might have been different.
Comment 13 Alexander Bokovoy 2013-07-16 10:27:36 EDT
Reassign to myself for investigation.
Comment 14 Alexander Bokovoy 2013-07-20 16:29:24 EDT
Do you have /usr/lib64/samba/pdb/tdbsam.so available? What does  'rpm -qf /usr/lib64/samba/pdb/tdbsam.so' return? Also, what does 'stat /usr/lib64/samba/pdb/tdbsam.so' show?
Comment 15 Christian K. 2013-07-21 03:55:45 EDT
Here you go:

$ rpm -qf /usr/lib64/samba/pdb/tdbsam.so 
samba-common-4.0.7-1.fc19.x86_64


$ stat /usr/lib64/samba/pdb/tdbsam.so 
  Fichier : « /usr/lib64/samba/pdb/tdbsam.so »
   Taille : 36416     	Blocs : 72         Blocs d'E/S : 4096   fichier
Périphérique : fd01h/64769d	Inœud : 1581916     Liens : 1
Accès : (0755/-rwxr-xr-x)  UID : (    0/    root)   GID : (    0/    root)
Contexte : system_u:object_r:lib_t:s0
 Accès : 2013-07-19 11:32:17.217965726 +0200
Modif. : 2013-07-03 18:41:01.000000000 +0200
Changt : 2013-07-06 10:00:40.327352744 +0200
  Créé : -
Comment 16 Aniello Di Meglio 2013-08-06 07:36:53 EDT
Attempt login using domain account. Unable to login. Additional sssd information in "messages": Aug  6 07:24:48 w7pxe1 [sssd[ldap_child[4315]]]: Failed to initialize credentials using keytab [default]: Preauthentication failed. Unable to create GSSAPI-encrypted LDAP connection.
Aug  6 07:24:48 w7pxe1 [sssd[ldap_child[4315]]]: Preauthentication failed

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/sbin/winbindd
crash_function: dump_core
executable:     /usr/sbin/winbindd
kernel:         3.10.4-300.fc19.i686.PAE
package:        samba-winbind-4.0.7-2.fc19
reason:         Process /usr/sbin/winbindd was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            0
Comment 17 Alexander Bokovoy 2013-08-06 10:08:58 EDT
(In reply to Aniello Di Meglio from comment #16)
> Attempt login using domain account. Unable to login. Additional sssd
> information in "messages": Aug  6 07:24:48 w7pxe1 [sssd[ldap_child[4315]]]:
> Failed to initialize credentials using keytab [default]: Preauthentication
> failed. Unable to create GSSAPI-encrypted LDAP connection.
> Aug  6 07:24:48 w7pxe1 [sssd[ldap_child[4315]]]: Preauthentication failed
Do you see any SELinux AVCs in /var/log/audit/audit.log?
Can you please describe your configuration a bit since sssd and winbindd are not really directly related.
Comment 18 Robert Peterson 2013-09-12 09:18:15 EDT
This crash occurs every time my wife tries to access a samba share after it's been
sitting for a while. It does not impede her ability to use the samba share and the
files and/or directories within. Very reproducible.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/sbin/smbd
crash_function: dump_core
executable:     /usr/sbin/smbd
kernel:         3.10.9-200.fc19.x86_64
package:        samba-4.0.9-1.fc19
reason:         Process /usr/sbin/smbd was killed by signal 6 (SIGABRT)
runlevel:       N 3
uid:            0
Comment 19 Robert Peterson 2013-09-12 09:32:54 EDT
Ignore comment #18: It was auto-appended by abortd. My problem
seems completely unrelated, and I opened bug #1007433 for it.
Comment 20 Benjamin Ariel Nava Martinez 2014-02-17 15:39:35 EST
Happened to me while updating the samba-winbind package while the service was running. I don't know wether it's reproducible or not.
Comment 21 Fedora End Of Life 2015-01-09 17:12:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2015-02-18 09:00:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.